Subject: Re: imapd on cygwin
From: "S. L." <[email-masked]>
To: Andrew DeFaria <[email-masked]>
Cc: [email-masked]
Date: Wed, 3 Apr 2002 10:30:42 +0200 (MEST)

> Andrew DeFaria wrote:
[...]
> 
> I can find no man page for gettimeofday in Cygwin! And I can't seem to 
> even call it properly:
> 
> #include <time.h>
> #include <stdio.h>
> int main (void) {
>   struct timezone d;
>   printf ("Calling gettimeofday\n");
>   gettimeofday (NULL, &d);
>   printf ("Returned from gettimeofday\n");
> }
> 
> $ gcc foo.c
> foo.c: In function `main':
> foo.c:4: storage size of `d' isn't known
> 
> So how the hell did it get compiled into imapd this way?!? And how does 
> on call gettimeofday in Cygwin?
> 
> Finally I tried:
[...]

I don't know if it usefull here, but as Gerrit P. Haase mentioned in
http://sources.redhat.com/ml/cygwin/2001-09/msg00008.html , for using timezone you
must execute a " tzset(); " call before the first line such variable
(timezone) appears.

SLao

-- 
GMX - Die Kommunikationsplattform im Internet.
http://www.gmx.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/